{
  "scheduler": [
    "build_maxscale_all_triggerable",
    "Scheduler"
  ],
  "build_targets": [
    [
      {
        "target_name": "release",
        "cmake_flags": "-DBUILD_TESTS=N"
      },
      {
        "target_name": "debug",
        "cmake_flags": "-DBUILD_TESTS=Y -DCMAKE_BUILD_TYPE=Debug -DWITH_ASAN=Y -DWITH_UBSAN=Y"
      }
    ],
    "Trigger"
  ],
  "run_upgrade_test": [
    "yes",
    "Trigger"
  ],
  "do_not_destroy_vm": [
    "no",
    "Trigger"
  ],
  "additionalCmakeOptions": [
    "\"\"",
    "Trigger"
  ],
  "runDockerBuild": [
    false,
    "Trigger"
  ],
  "maxscaleProduct": [
    "Maxscale",
    "Trigger"
  ],
  "name": [
    null,
    "Trigger"
  ],
  "branch": [
    "maxscale-23.08.7-tt2",
    "Build"
  ],
  "maxscaleVersionNumber": [
    "23.08.7",
    "Trigger"
  ],
  "maxscaleOldTarget": [
    "23.08.6",
    "Trigger"
  ],
  "host": [
    "mariadbenterprise-buildbot",
    "Assign worker"
  ],
  "owners": [
    [
      "johan.wikman@mariadb.com"
    ],
    "Trigger"
  ],
  "signatureKey": [
    "MaxscaleProduction",
    "Trigger"
  ],
  "passphrase": [
    "--passphrase-file ~/.config/passphrase",
    "Trigger"
  ],
  "maxscaleDistros": [
    "ALL",
    "Trigger"
  ],
  "target_name": [
    "debug",
    "Trigger"
  ],
  "cmake_flags": [
    "-DBUILD_TESTS=Y -DCMAKE_BUILD_TYPE=Debug -DWITH_ASAN=Y -DWITH_UBSAN=Y \"\"",
    "Trigger"
  ],
  "virtual_builder_name": [
    "Build all for debug",
    "Trigger"
  ],
  "target": [
    "maxscale-23.08.7-debug",
    "Trigger"
  ],
  "buildername": [
    "build_maxscale_all",
    "Builder"
  ],
  "builderid": [
    4,
    "Builder"
  ],
  "images": [
    [
      "rocky_9_gcp",
      "debian_bookworm_gcp",
      "aarch64_rocky_8_gcp",
      "aarch64_sles_15_gcp",
      "aarch64_ubuntu_noble_gcp",
      "ubuntu_jammy_gcp",
      "ubuntu_focal_gcp",
      "aarch64_ubuntu_focal_gcp",
      "sles_15_gcp",
      "aarch64_rocky_9_gcp",
      "aarch64_debian_bookworm_gcp",
      "ubuntu_noble_gcp",
      "aarch64_debian_bullseye_aws",
      "debian_bullseye_gcp",
      "rocky_8_gcp",
      "aarch64_ubuntu_jammy_gcp"
    ],
    "Exclude Maxscale Images"
  ],
  "workername": [
    "mariadbenterprise-buildbot-45",
    "Worker"
  ],
  "buildnumber": [
    223,
    "Build"
  ],
  "revision": [
    "",
    "Build"
  ],
  "repository": [
    "https://github.com/mariadb-corporation/MaxScale.git",
    "Build"
  ],
  "codebase": [
    "",
    "Build"
  ],
  "project": [
    "",
    "Build"
  ],
  "builddir": [
    "/home/timofey_turenko_mariadb_com/buildbot-workers/mariadbenterprise-buildbot-45/build_maxscale_all",
    "Worker"
  ],
  "got_revision": [
    "48a752fc71e0e2c2d1bd90b1d60a17d1b37c0b40",
    "Git"
  ],
  "sshKeyFile": [
    "/home/timofey_turenko_mariadb_com/reposerver_keys/maxscale_prod",
    "Determine repository signature key parameters"
  ],
  "sshUser": [
    "maxscale_prod",
    "Determine repository signature key parameters"
  ],
  "signServer": [
    "mdbe-ci-repo-us",
    "Determine repository signature key parameters"
  ],
  "singKeyName": [
    "MariaDB Enterprise Signing Key",
    "Determine repository signature key parameters"
  ],
  "targetVersion": [
    "23.08.7",
    "Get MaxScale version from source file"
  ],
  "additionalRepoArgs": [
    "--no-incomming",
    "Set 'product' to Maxscale'"
  ],
  "jenkinsBuild": [
    false,
    "Set 'product' to Maxscale'"
  ],
  "product": [
    "Maxscale",
    "Set 'product' to Maxscale'"
  ],
  "URL": "https://mdbe-buildbot.mariadb.net/#/builders/159/builds/223"
}
